Package ch.qos.logback.access.filter

## Class CountingFilter

- java.lang.Object
- - ch.qos.logback.core.spi.ContextAwareBase
  - - ch.qos.logback.core.filter.Filter
    - - ch.qos.logback.access.filter.CountingFilter

All Implemented Interfaces:
  `ContextAware`, `LifeCycle`

    public class CountingFilter
    extends Filter

### Field Summary

### Fields inherited from class ch.qos.logback.core.spi.ContextAwareBase

`context`

### Constructor Summary

Constructors
`CountingFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FilterReply` `decide​(java.lang.Object event)` If the decision is ``FilterReply.DENY``, then the event will be dropped.
`java.lang.String` `getDomain()`
`long` `getTotal()`
`void` `setDomain​(java.lang.String domain)`
`void` `start()`
`void` `stop()`

### Methods inherited from class ch.qos.logback.core.filter.Filter

`getName, isStarted, setName`

### Methods inherited from class ch.qos.logback.core.spi.ContextAwareBase

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getDeclaredOrigin, getStatusManager, setContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CountingFilter

    public CountingFilter()

### Method Detail

#### decide

    public FilterReply decide​(java.lang.Object event)

Description copied from class: `Filter`
If the decision is ``FilterReply.DENY``, then the event will be dropped. If the decision is ``FilterReply.NEUTRAL``, then the next filter, if any, will be invoked. If the decision is ``FilterReply.ACCEPT`` then the event will be logged without consulting with other filters in the chain.

Specified by:
  `decide` in class `Filter`
Parameters:
  `event` - The event to decide upon.

#### getTotal

    public long getTotal()

#### start

    public void start()

Specified by:
  `start` in interface `LifeCycle`
Overrides:
  `start` in class `Filter`

#### stop

    public void stop()

Specified by:
  `stop` in interface `LifeCycle`
Overrides:
  `stop` in class `Filter`

#### getDomain

    public java.lang.String getDomain()

#### setDomain

    public void setDomain​(java.lang.String domain)